# Uses of Class
org.eclipse.jface.viewers.CellNavigationStrategy

Packages that use CellNavigationStrategy
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.

## Uses of CellNavigationStrategy in org.eclipse.jface.viewers

Constructors in org.eclipse.jface.viewers with parameters of type CellNavigationStrategy
Modifier
Constructor
Description
``
`TableViewerFocusCellManager(TableViewer viewer, FocusCellHighlighter focusDrawingDelegate, CellNavigationStrategy navigationStrategy)`
Create a new manager
``
`TreeViewerFocusCellManager(TreeViewer viewer, FocusCellHighlighter focusDrawingDelegate, CellNavigationStrategy navigationStrategy)`
Create a new manager with a custom navigation strategy